//Sample using LiquidCrystal library
#include <LiquidCrystal.h>
 
// select the pins used on the LCD panel
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);
 
// define some values used by the panel and buttons
int lcd_key     = 0;
int adc_key_in  = 0;
#define btnRIGHT  0
#define btnUP     1
#define btnDOWN   2
#define btnLEFT   3
#define btnSELECT 4
#define btnNONE   5
 
// read the buttons
int read_LCD_buttons()
{
 adc_key_in = analogRead(0);      // read the value from the sensor 
 //RIGHT = 0, UP = 142, DOWN = 325, LEFT = 504, SELECT = 740
 // we add approx 50 to those values and check to see if we are close
 if (adc_key_in > 1500) return btnNONE; // We make this the 1st option for speed reasons since it will be the most likely result
 if (adc_key_in < 50)   return btnRIGHT;  
 if (adc_key_in < 195)  return btnUP; 
 if (adc_key_in < 380)  return btnDOWN; 
 if (adc_key_in < 550)  return btnLEFT; 
 if (adc_key_in < 800)  return btnSELECT;   
 return btnNONE;  // when all others fail, return this...
}
 
void setup()
{
 Serial.begin(9600);
 lcd.begin(16, 2);              // start the library
 lcd.setCursor(0,0);
 lcd.print("      LYFF    "); // print a simple message
 delay(3000);
 lcd.clear();
 lcd.print("Job available at UOttawa for $17.50 per hour at 10:00am.");
}
  
void loop()
{
 lcd.setCursor(0,0);            // move cursor to start of first line
 lcd_key = read_LCD_buttons();  // read the buttons
 
 switch (lcd_key)               // depending on which button was pushed, we perform an action
 {
   case btnRIGHT:
     {
     Serial.println("RIGHT");
     lcd.scrollDisplayLeft();
     break;
     }
   case btnLEFT:
     {
     Serial.println("LEFT");
     lcd.scrollDisplayRight();
     break;
     }
   case btnUP:
     {
     Serial.println("UP");
     break;
     }
   case btnDOWN:
     {
     Serial.println("DOWN");
     break;
     }
   case btnSELECT:
     {
     Serial.println("SELECT");
     lcd.clear();
     lcd.print("Job Selected!");
     break;
     }
     case btnNONE:
     {
     Serial.println("NONE");
     break;
     }
 }
 }
